Subject: [ippm] Comments on draft-fioccola-rfc8321bis-01

From: <[email-masked]>
Date: Fri, 24 Dec 2021 10:45:15 +0800 (CST)

Hi Giuseppe,

I noticed in the -01 revision you added that 
"The switching after a fixed number of packets is an additional possibility but its detailed specification is out of scope."
I like this change, it gives the clear practical direction on fixed-timer method, as well as reserving the possibility for someone to develop details based on fixed-number method.
I suggest to apply the similar description on Single-Marking Methodology defined in section 3.3.1. There are mainly three reasons, the first one is that Double-Marking Methodology defined in section 3.3.2 is already the practical direction, the second one is that IMHO one-bit saving of Single-Marking Methodology doesn't bring meaningful benefit, the third one is that Single-Marking Methodology may bring intrinsic error due to packet misordering, as added in section 3.3.1 of the -01 revision.

Happy Holidays to you and all IPPM folks!

Best Regards,
Xiao Min